package sku

import "git.oa00.com/go/jcook-sdk/api/rest"

// GetSkuBrotherRequest 请求sku关系.
type GetSkuBrotherRequest struct {
	CtpProtocol         rest.CtpProtocol `json:"ctpProtocol"`
	ApiBrotherListParam BrotherParam     `json:"apiBrotherListParam"`
}
type BrotherParam struct {
	SkuIDSet []uint `json:"skuIdSet"`
}

func (o GetSkuBrotherRequest) GetApiName() string {
	return "jingdong.ctp.ware.sku.getBrotherList"
}

func (o GetSkuBrotherRequest) GetRespName() string {
	return "jingdong_ctp_ware_sku_getBrotherList_responce"
}

func (o GetSkuBrotherRequest) GetRespObj() interface{} {
	return GetSkuBrotherResponse{}
}

// GetSkuBrotherResponse 请求sku价格返回
type GetSkuBrotherResponse struct {
	Result struct {
		ErrCode uint          `json:"errCode"`
		ErrMsg  string        `json:"errMsg"`
		Success bool          `json:"success"`
		Data    []BrotherDetail `json:"data"`
	} `json:"result"`
}

type BrotherDetail struct {
	BrotherSkuIDs []uint `json:"brotherSkuIds"`
}
