package sku

import "git.oa00.com/go/jcook-sdk/api/rest"

type ApiSkuPoolListParam struct {
	ScrollID    string `json:"scrollId"`
	SkuPoolType uint   `json:"skuPoolType"`
	PageSize    uint   `json:"pageSize"`
}
type GetSkuPoolRequest struct {
	CtpProtocol         rest.CtpProtocol    `json:"ctpProtocol"`
	ApiSkuPoolListParam ApiSkuPoolListParam `json:"apiSkuPoolListParam"`
}

func (o GetSkuPoolRequest) GetApiName() string {
	return "jingdong.ctp.ware.skupool.getSkuPoolList"
}

func (o GetSkuPoolRequest) GetRespName() string {
	return "jingdong_ctp_ware_skupool_getSkuPoolList_responce"
}

func (o GetSkuPoolRequest) GetRespObj() interface{} {
	return PoolResponse{}
}

type PoolSku struct {
	SkuPoolID       uint   `json:"skuPoolId"`
	SkuID           uint   `json:"skuId"`
	SkuName         string `json:"skuName"`
	SkuPoolType     uint   `json:"skuPoolType"`
	SkuPoolTypeName string `json:"skuPoolTypeName"`
}

type PoolParams struct {
	ScrollID string    `json:"scrollId"`
	Total    uint      `json:"total"`
	Entries  []PoolSku `json:"entries"`
}

type PoolResponse struct {
	Code   string `json:"code"`
	Result struct {
		Data    PoolParams `json:"data"`
		ErrCode uint       `json:"errCode"`
		ErrMsg  string     `json:"errMsg"`
		Success bool       `json:"success"`
	} `json:"result"`
}
