package sku

import "git.oa00.com/go/jcook-sdk/api/rest"

type PoolAddParam struct {
	SkuPoolID uint `json:"skuPoolId"`
	SkuID     uint `json:"skuId"`
}

type PoolAddList struct {
	SkuPoolAddList []PoolAddParam `json:"skuPoolAddList"`
}
type PoolAddRequest struct {
	CtpProtocol        rest.CtpProtocol `json:"ctpProtocol"`
	ApiSkuPoolAddParam PoolAddList      `json:"apiSkuPoolAddParam"`
}

func (o PoolAddRequest) GetApiName() string {
	return "jingdong.ctp.ware.skupool.addSkuIntoChannel"
}

func (o PoolAddRequest) GetRespName() string {
	return "jingdong_ctp_ware_skupool_addSkuIntoChannel_responce"
}

func (o PoolAddRequest) GetRespObj() interface{} {
	return PoolAddResponse{}
}

type PoolAddParams struct {
	ErrorMessage string `json:"errorMessage"`
	SkuPoolId    uint   `json:"skuPoolId"`
	SkuId        uint   `json:"skuId"`
	IsSuccess    bool   `json:"isSuccess"`
}

type PoolAddResponse struct {
	Code   string `json:"code"`
	Result struct {
		Data    []PoolAddParams `json:"data"`
		ErrCode uint            `json:"errCode"`
		ErrMsg  string          `json:"errMsg"`
		Success bool            `json:"success"`
	} `json:"result"`
}
